<?php

error_reporting(0);


	function isLoad( $name )
	{
		if ( !extension_loaded($name) )
		{
			return false;
			// ---
			$prefix = (PHP_SHLIB_SUFFIX === 'dll') ? 'php_' : '';
			if ( !dl($prefix . $name . '.' . PHP_SHLIB_SUFFIX) )
			{
				exit();
			}
		}
		return true;
	}
	
	if( !isLoad("curl") )
	{
		echo "cURL no Cargado...\n";
		exit();
	}
	
	// --------------------------------
	
	require_once("./src/autoload.php");
	
	$cliente = new \Sunat\Sunat( true, true );
	
	$origen = $_REQUEST['xorigen'];		
	
	if($origen=='verificacion'){	
		//$ruc = $_REQUEST['xruc'];
		$xper_id = $_REQUEST['xper_id'];
		
		include("../conexion.php");
		
		$rr_personas = mysqli_query($conexion,"SELECT * FROM personas p WHERE per_codi = $xper_id;");
		while($rrow_personas = mysqli_fetch_array($rr_personas)){
			$ruc = $rrow_personas['per_ruc'];
		}
		
	}else{	
		$ruc = $_REQUEST['xruc'];					
	}
	
	
	
	//$ruc = "20169004359"; // RUC de 11 digitos
	//$ruc = "10167545985"; // RUC de 11 digitos
	$dni = "00000000"; // DNI de 8 digitos
	//$dni = "16754598"; // DNI de 8 digitos
		
	//echo $cliente->search( $ruc, true ); // json
	//echo $cliente->search( $dni, true ); // json

//	print_r ( $cliente->search( $ruc ) ); // array
	
	
	$arr_cliente = $cliente->search( $ruc );

	//echo '<br>';	
	//echo $arr_cliente['result']; 
			
	//echo '<br>';		
	//echo $arr_cliente['success']; 

	if($arr_cliente['success']==1){
	
	//&& array_key_exists('action', $array['message']
	
		if (array_key_exists('RazonSocial',$arr_cliente['result'])==true) {
			$xnombres = $arr_cliente['result']['RazonSocial'];
			$xrazonsocial = $arr_cliente['result']['RazonSocial'];			
		}else{	
			$xnombres = "";	
			$xrazonsocial = "";			
		}

		if (array_key_exists('RUC',$arr_cliente['result'])==true) {
			$xruc = $arr_cliente['result']['RUC'];
		}else{	
			$xruc = "";
		}

		if (array_key_exists('Direccion',$arr_cliente['result'])==true) {
			$xdireccion1 = $arr_cliente['result']['Direccion'];
		}else{	
			$xdireccion1 = "";
		}

		if (array_key_exists('nombre',$arr_cliente['result']['representantes_legales'][0])==true) {
			//echo "SI EXISTE";
			$xnombre_contacto = $arr_cliente['result']['representantes_legales'][0]['nombre'];
			$xapellido_contacto = $arr_cliente['result']['representantes_legales'][0]['nombre'];			
		}else{
			//echo "NO EXISTE";		
			$xnombre_contacto = "";
			$xapellido_contacto = "";			
		}


			if($origen=='verificacion'){
			?>
				<script language="javascript" >
				enviar_formulario_pedidos();
				//alert("si debe guardar.");
				</script>
			<?php			
			}


			if($origen=='clientes'){		
			?>
				<script language="javascript" >
				document.getElementById('xnombres').value = '<?php echo $xnombres; ?>';
				document.getElementById('xrazonsocial').value = '<?php echo $xrazonsocial; ?>';	
				document.getElementById('xruc').value = '<?php echo $xruc; ?>';
				document.getElementById('xper_ruc_dni_tipo').value = '6';	
				//document.getElementById('xtelefono1').value = '<?php //echo $arr_cliente['result']['Telefono']; ?>';	
				document.getElementById('xdireccion1').value = '<?php echo $xdireccion1; ?>';		
				
				document.getElementById('xnombre_contacto').value = '<?php echo $xnombre_contacto; ?>';
				document.getElementById('xapellido_contacto').value = '<?php echo $xapellido_contacto; ?>';
				</script>
			<?php			
			}


			if($origen=='pedidos'){		
			?>
				<script language="javascript" >
				//alert("POR AQUI");
				
				document.getElementById('xnombres').value = '<?php echo $xnombres; ?>';
				document.getElementById('xrazonsocial').value = '<?php echo $xrazonsocial; ?>';	
				document.getElementById('xruc').value = '<?php echo $xruc; ?>';
				document.getElementById('xper_ruc_dni_tipo').value = '6';	
				//document.getElementById('xtelefono1').value = '<?php //echo $arr_cliente['result']['Telefono']; ?>';	
				document.getElementById('xdireccion1').value = '<?php echo $xdireccion1; ?>';		
				
				</script>
			<?php			
			}

			if($origen=='caja'){		
			?>
				<script language="javascript" >
				//alert("POR AQUI");
				
				document.getElementById('xnombres').value = '<?php echo $xnombres; ?>';
				document.getElementById('xrazonsocial').value = '<?php echo $xrazonsocial; ?>';	
				document.getElementById('xruc').value = '<?php echo $xruc; ?>';
				document.getElementById('xper_ruc_dni_tipo').value = '6';	
				//document.getElementById('xtelefono1').value = '<?php //echo $arr_cliente['result']['Telefono']; ?>';	
				document.getElementById('xdireccion1').value = '<?php echo $xdireccion1; ?>';		
				
				</script>
			<?php			
			}
					
	}else{
	
		if($origen=='verificacion'){
		
		?>
	
			<script language="javascript" >
			alert("ADVERTENCIA: El RUC del cliente no existe!!!");
			</script>
		
		<?php			
		}else{
		
		?>			
			<script language="javascript" >		
			document.getElementById('xnombres').value = '';
			document.getElementById('xrazonsocial').value = '';	
			document.getElementById('xruc').value = '';
			document.getElementById('xper_ruc_dni_tipo').value = '6';	
			//document.getElementById('xtelefono1').value = '';	
			document.getElementById('xdireccion1').value = '';		
			
			document.getElementById('xnombre_contacto').value = '';		
			document.getElementById('xapellido_contacto').value = '';												
			
			alert("ADVERTENCIA: El RUC del cliente no existe!!!");
			</script>
	
		<?php
		}
	}
	
	
	/*
	echo '<br>';
	echo '<br>';	
	echo $arr_cliente['result']['RazonSocial'];
	echo '<br>';	
	echo $arr_cliente['result']['RUC'];
	echo '<br>';	
	//echo $arr_cliente['result']['Telefono'];
	echo '<br>';	
	echo $arr_cliente['result']['Direccion'];
	echo '<br>';	
	
	echo $arr_cliente['result']['representantes_legales'][0]['nombre'];
	echo '<br>';	
	*/
			
	//RazonSocial
	
?>

	
	
